Test Class Referenceabstract

`#include <Test.h>`

Inheritance diagram for Test:

## Public Member Functions

| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)
virtual void | run (void)=0

## Private Attributes

std::string | Name
TestSuite * | Suite

## Constructor & Destructor Documentation

## Test() [1/3]

Test::Test | ( | void |  | ) |

inline

## Test() [2/3]

Test::Test | ( | const std::string & | n | ) |

inline

## Test() [3/3]

Test::Test | ( | const std::string & | n,
|  | TestSuite * | s )

inline

## ~Test()

virtual Test::~Test | ( | void |  | ) |

inline virtual

## Member Function Documentation

## getName()

const std::string & Test::getName | ( | void |  | ) |

inline

## getSuite()

TestSuite * Test::getSuite | ( | void |  | ) |

inline

## run()

virtual void Test::run | ( | void |  | ) |

pure virtual

Implemented in TestCategoryCaller< UTType >, TestSuite, and UnitTest.

## Member Data Documentation

## Name

std::string Test::Name

private

## Suite

TestSuite* Test::Suite

private

The documentation for this class was generated from the following file:

- Test.h